CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-9515

Some HTTP/2 implementations are vulnerable to a settings flood, potentially leading to a denial of service. The attacker sends a stream of SETTINGS frames to the peer. Since the RFC requires that the peer reply with one acknowledgement per SETTINGS frame, an empty SETTINGS frame is almost equivalent in behavior to a ping. Depending on how efficiently this data is queued, this can consume excess CPU, memory, or both.
Publish Date : 2019-08-13 Last Update Date : 2020-10-22
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 770

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2019:2925: nodejs:10 security update (Important) oval:com.redhat.rhsa:def:20192925 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-9515

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Traffic Server * * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 19.04 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 10.0 * * * Version Details Vulnerabilities
7 Application F5 Big-ip Local Traffic Manager * * * * Version Details Vulnerabilities
8 OS Fedoraproject Fedora 29 * * * Version Details Vulnerabilities
9 OS Fedoraproject Fedora 30 * * * Version Details Vulnerabilities
10 Application Mcafee Web Gateway * * * * Version Details Vulnerabilities
11 OS Opensuse Leap 15.0 * * * Version Details Vulnerabilities
12 OS Opensuse Leap 15.1 * * * Version Details Vulnerabilities
13 Application Oracle Graalvm 19.2.0 * * * Version Details Vulnerabilities
14 OS Redhat Enterprise Linux 8.0 * * * Version Details Vulnerabilities
15 Application Redhat Jboss Core Services 1.0 * * * Version Details Vulnerabilities
16 Application Redhat Jboss Enterprise Application Platform 7.2.0 * * * Version Details Vulnerabilities
17 Application Redhat Jboss Enterprise Application Platform 7.3.0 * * * Version Details Vulnerabilities
18 Application Redhat Openshift Container Platform 4.1 * * * Version Details Vulnerabilities
19 Application Redhat Openshift Service Mesh 1.0 * * * Version Details Vulnerabilities
20 Application Redhat Openstack 14 * * * Version Details Vulnerabilities
21 Application Redhat Quay 3.0.0 * * * Version Details Vulnerabilities
22 Application Redhat Single Sign-on 7.3 * * * Version Details Vulnerabilities
23 Application Redhat Software Collections 1.0 * * * Version Details Vulnerabilities
24 Application Synology Diskstation Manager 6.2 * * * Version Details Vulnerabilities
25 Application Synology Skynas - * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Traffic Server 1
Canonical Ubuntu Linux 3
Debian Debian Linux 2
F5 Big-ip Local Traffic Manager 1
Fedoraproject Fedora 2
Mcafee Web Gateway 1
Opensuse Leap 2
Oracle Graalvm 1
Redhat Enterprise Linux 1
Redhat Jboss Core Services 1
Redhat Jboss Enterprise Application Platform 2
Redhat Openshift Container Platform 1
Redhat Openshift Service Mesh 1
Redhat Openstack 1
Redhat Quay 1
Redhat Single Sign-on 1
Redhat Software Collections 1
Synology Diskstation Manager 1
Synology Skynas 1

- References For CVE-2019-9515

https://access.redhat.com/errata/RHSA-2019:2925
REDHAT RHSA-2019:2925
https://access.redhat.com/errata/RHSA-2019:4042
REDHAT RHSA-2019:4042
https://support.f5.com/csp/article/K50233772?utm_source=f5support&utm_medium=RSS CONFIRM
https://access.redhat.com/errata/RHSA-2019:3892
REDHAT RHSA-2019:3892
https://access.redhat.com/errata/RHSA-2019:4018
REDHAT RHSA-2019:4018
https://access.redhat.com/errata/RHSA-2019:4019
REDHAT RHSA-2019:4019
https://access.redhat.com/errata/RHSA-2019:4021
REDHAT RHSA-2019:4021
https://access.redhat.com/errata/RHSA-2019:4040
REDHAT RHSA-2019:4040
https://access.redhat.com/errata/RHSA-2019:2939
REDHAT RHSA-2019:2939
https://access.redhat.com/errata/RHSA-2019:2766
REDHAT RHSA-2019:2766
https://access.redhat.com/errata/RHSA-2019:2796
REDHAT RHSA-2019:2796
https://access.redhat.com/errata/RHSA-2019:4020
REDHAT RHSA-2019:4020
https://access.redhat.com/errata/RHSA-2019:2955
REDHAT RHSA-2019:2955
https://access.redhat.com/errata/RHSA-2019:4041
REDHAT RHSA-2019:4041
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00032.html
SUSE openSUSE-SU-2019:2114
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00031.html
SUSE openSUSE-SU-2019:2115
https://kc.mcafee.com/corporate/index?page=content&id=SB10296 CONFIRM
https://access.redhat.com/errata/RHSA-2019:4045
REDHAT RHSA-2019:4045
https://access.redhat.com/errata/RHSA-2019:2861
REDHAT RHSA-2019:2861
https://seclists.org/bugtraq/2019/Sep/18
BUGTRAQ 20190910 [SECURITY] [DSA 4520-1] trafficserver security update
https://www.debian.org/security/2019/dsa-4520
DEBIAN DSA-4520
https://www.debian.org/security/2019/dsa-4508
DEBIAN DSA-4508
https://seclists.org/bugtraq/2019/Aug/43
BUGTRAQ 20190825 [SECURITY] [DSA 4508-1] h2o security update
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/4ZQGHE3WTYLYAYJEIDJVF2FIGQTAYPMC/
FEDORA FEDORA-2019-6a2980de56
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CMNFX5MNYRWWIMO4BTKYQCGUDMHO3AXP/
FEDORA FEDORA-2019-5a6a7bc12c
https://security.netapp.com/advisory/ntap-20190823-0005/ CONFIRM
https://support.f5.com/csp/article/K50233772 CONFIRM
https://www.synology.com/security/advisory/Synology_SA_19_33 CONFIRM
http://seclists.org/fulldisclosure/2019/Aug/16
FULLDISC 20190816 APPLE-SA-2019-08-13-5 SwiftNIO HTTP/2 1.5.0
https://seclists.org/bugtraq/2019/Aug/24
BUGTRAQ 20190814 APPLE-SA-2019-08-13-5 SwiftNIO HTTP/2 1.5.0
https://lists.apache.org/thread.html/bde52309316ae798186d783a5e29f4ad1527f61c9219a289d0eee0a7@%3Cdev.trafficserver.apache.org%3E
MLIST [trafficserver-dev] 20190813 Apache Traffic Server is vulnerable to various HTTP/2 attacks
https://lists.apache.org/thread.html/392108390cef48af647a2e47b7fd5380e050e35ae8d1aa2030254c04@%3Cusers.trafficserver.apache.org%3E
MLIST [trafficserver-users] 20190813 Apache Traffic Server is vulnerable to various HTTP/2 attacks
https://lists.apache.org/thread.html/ad3d01e767199c1aed8033bb6b3f5bf98c011c7c536f07a5d34b3c19@%3Cannounce.trafficserver.apache.org%3E
MLIST [trafficserver-announce] 20190813 Apache Traffic Server is vulnerable to various HTTP/2 attacks
https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md
https://kb.cert.org/vuls/id/605641/
CERT-VN VU#605641
https://access.redhat.com/errata/RHSA-2019:4352
REDHAT RHSA-2019:4352
https://access.redhat.com/errata/RHSA-2020:0727
REDHAT RHSA-2020:0727
https://usn.ubuntu.com/4308-1/
UBUNTU USN-4308-1

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2019-9515

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.